【代码高亮插件】Enlighter替换Crayon Syntax Highlighter

作者: 李玉凯 分类: Wordpress 发布时间: 2019-03-20 11:12

自从升级到Wordpress5.x版本以后Crayon Syntax Highlighter插件就一直出问题,【写文章时只能用一次代码格式化,而且代码只能放在文字的上方】此问题也一直没有解决。最近在网上搜索插件,好多都说【Enlighter – Customizable Syntax Highlighter】这个插件挺好用,于是就下载了一下,而且【Enlighter】可以兼容【Crayon Syntax Highlighter】

  • Option – Block CSS Selector 设置为pre.EnlighterJSRAW, pre[class*="lang:"][class~="decode:true"]
  • Option – Inline CSS Selector设置为code.EnlighterJSRAW, span[class*="lang:"][class~="decode:true"][class~="crayon-inline"]
  • BETA – Dynamic Resource Invocation (DRI)需要关闭

启用【Enlighter】之后需要把【Crayon Syntax Highlighter】停用,否则会有报错提示

附上一个汉化版的【Enlighter

下载enlighter

当你上传插件时如果压缩包的大小超过2M会报上传的文件尺寸超过php.ini中定义的upload_max_filesize值。

解决方法:修改/etc/php.ini文件中的

post_max_size = 64M

upload_max_filesize = 64M

如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!

发表评论

邮箱地址不会被公开。 必填项已用*标注

31 − 22 =